commit:     8eab089338e433dd25c279bd87e477de9b2552b9
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Wed Mar  3 18:31:14 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar  3 21:00:31 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8eab0893

dev-python/theano-pymc: Add blocker against dev-python/theano

* Remove colliding __init__.py file

Bug: https://bugs.gentoo.org/774072
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../{theano-pymc-1.1.2.ebuild => theano-pymc-1.1.2-r1.ebuild}    | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/dev-python/theano-pymc/theano-pymc-1.1.2.ebuild 
b/dev-python/theano-pymc/theano-pymc-1.1.2-r1.ebuild
similarity index 85%
rename from dev-python/theano-pymc/theano-pymc-1.1.2.ebuild
rename to dev-python/theano-pymc/theano-pymc-1.1.2-r1.ebuild
index 3960b80d509..4d617723829 100644
--- a/dev-python/theano-pymc/theano-pymc-1.1.2.ebuild
+++ b/dev-python/theano-pymc/theano-pymc-1.1.2-r1.ebuild
@@ -23,7 +23,8 @@ RDEPEND="
        dev-python/filelock[${PYTHON_USEDEP}]
        dev-python/numpy[${PYTHON_USEDEP}]
        dev-python/six[${PYTHON_USEDEP}]
-       dev-python/scipy[${PYTHON_USEDEP}]"
+       dev-python/scipy[${PYTHON_USEDEP}]
+       !dev-python/theano[${PYTHON_USEDEP}]"
 BDEPEND="
        test? (
                dev-python/pytest-xdist[${PYTHON_USEDEP}]
@@ -55,6 +56,12 @@ python_test() {
                die "Tests fail with ${EPYTHON}"
 }
 
+# 
https://dev.gentoo.org/~mgorny/python-guide/concept.html#packaging-pkgutil-style-namespaces-in-gentoo
+python_install() {
+       rm "${BUILD_DIR}"/lib/bin/__init__.py || die
+       distutils-r1_python_install
+}
+
 pkg_postinst() {
        optfeature "GPU code generation/execution on NVIDIA gpus" 
dev-util/nvidia-cuda-toolkit dev-util/nvidia-cuda-sdk
        optfeature "GPU/CPU code generation on CUDA and OpenCL devices" 
dev-libs/libgpuarray dev-python/pycuda

Reply via email to